Bug 519124 - Update of iputils starts rdisc, breaking network connectivity
Summary: Update of iputils starts rdisc, breaking network connectivity
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iputils
Version: 4.8
Hardware: i386
OS: Linux
medium
urgent
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 465972
Blocks: 617565
TreeView+ depends on / blocked
 
Reported: 2009-08-25 09:51 UTC by David Kovalsky
Modified: 2014-03-31 23:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 465972
Environment:
Last Closed: 2012-06-20 13:26:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Kovalsky 2009-08-25 09:51:34 UTC
+++ This bug was initially created as a clone of Bug #465972 +++

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

I scheduled updates to nine servers using Red Hat Network. The update included iputils-20020927-21.el4. When iputils was installed, it started rdisc, which broke network connectivity and required all the servers to be rebooted. rdisc is not used on any of these servers and is disabled at all runlevels.

Reproducible: Always

Steps to Reproduce:
1. Update a server using Red Hat Network

Actual Results:  
iputils installation starts rdisc

Expected Results:  
iputils installation should respect run levels and only start rdisc where appropriate

Similar to Fedora Bug 235374

--- Additional comment from maarten.broekman@fmr.com on 2008-12-16 17:30:36 EDT ---

This also affects the following versions of the iputils RPM:
20020927-43.el5 (RHEL5)
20020927-11.30.5 (RHEL3)

root@server ~ # rpm -q iputils
iputils-20020927-11.30.5
root@server ~ # rpm -q --scripts iputils
postinstall scriptlet (using /bin/sh):
/sbin/chkconfig --add rdisc
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
   service rdisc stop >/dev/null 2>&1
   /sbin/chkconfig --del rdisc
fi
postuninstall scriptlet (using /bin/sh):
if [ "$1" -ge "1" ]; then
    service rdisc restart >/dev/null 2>&1 || :
fi

--- Additional comment from david.barnwell@well.ox.ac.uk on 2009-08-18 06:12:54 EDT ---

This bug was reported ten months ago and still isn't fixed. The fixes mentioned in RHBA-2009:0977-1 do not appear to have been effective.

I scheduled updates to nine servers using Red Hat Network last night (2009-08-17). The update included iputils-20020927-22.el4. When iputils was installed it started rdisc and broke network connectivity on all of these servers. I had to run
   service rdisc stop
   service network restart
on each machine to restart the network.

As previously reported, rdisc is not used on any of these servers and is disabled at all runlevels. The iputils installation should respect run levels and only start rdisc where appropriate.

--- Additional comment from jturner@redhat.com on 2009-08-24 07:48:30 EDT ---

With regards to comment 8, sadly I think this is an example of a weakness in rpm.  The new package (iputils-20020927-22.el4) does indeed have a fix for the problem you are seeing, but the defect (and therefore the fix) is located in the post-uninstallation script for the package.  The behavior you saw after upgrading to the -22.el4 version of the package was actually the post-uninstallation script from the old version of the package running.  The bright side is that going forward you shouldn't see any further problems on upgrade now that the fix has been implemented.

--- Additional comment from jskala@redhat.com on 2009-08-24 10:50:32 EDT ---

I have to explain current situation:

1. Unfortunately the bug fix doesn't work as was intended. I'm sorry for it.
2. Both comments #8 and #9 are true.

EXPLANATION:
The real bug fix is really in the post-uninstallation script. This means that this fix will not be applied in rel. 22 but later in rel. 23 in accordance with comment #9.

Therefore I made one subsidiary extension that should ensure correct behaviour already in rel. 22. Unfortunately this extension doesn't work due to one character mistake in spec file (described behaviour in comment #8). I'm so sorry for this mistake.

Jiri

Comment 9 Jiri Pallich 2012-06-20 13:26:41 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.